<template>
  <div class="contact">

    <div class="container">
      <div class="title">
        <h2>Update Warehouse Details</h2>
      </div>
      <div class="d-flex">
        <div class="form">
          <!--<h3>Send us a message</h3>-->
          <form  target="_self">
            <p>
              <label for="">Code</label>
              <input type="text" v-model="item.code" >
            </p>
            <p>
              <label for="">Type</label>
              <select v-model="item.type" style="height: 50px; width: 220px;">
                <option selected disabled>Select Type</option>
                <option v-for="type in types" :key="type.id" :value=type.name>{{ type.name }}</option>

              </select>
            </p>
            <p>
              <label for="">Name</label>
              <input type="text" v-model="item.name">
            </p>
            <p>
              <label for="">City</label>
              <select v-model="item.city" style="height: 50px; width: 220px;">
                <option selected disabled>select city</option>
                <option :key="name.id" v-for="name in city" :value="name.name">{{name.name}}</option>

              </select>
            </p>
            <p>
              <label for="">Available Space</label>
              <input type="text" v-model="item.space_available">
            </p>
            <p>
              <label for="">Cluster</label>
              <select v-model="item.cluster" style="height: 50px; width: 220px;">
                <option selected disabled>Choose Cluster</option>
                <option v-for="cluster in clusters" :key="cluster.id" :value="cluster.name">{{ cluster.name }}</option>

              </select>
              </p>




            <div class="switch-field">
              <h2>Registered</h2>
              <input type="radio" id="radio-one" v-model="item.is_registered" value="true"  />
              <label for="radio-one">Yes</label>
              <input type="radio" id="radio-two" v-model="item.is_registered" value="false"  />
              <label for="radio-two">No</label>
            </div>

            <div class="switch-field">
              <h2>Is it live</h2>
              <input type="radio" id="radio-three" v-model="item.is_live" value="true"   />
              <label for="radio-three">Yes</label>
              <input type="radio" id="radio-four" v-model="item.is_live" value="false"  />
              <label for="radio-four">No</label>
            </div>


          </form>
          <p class="full-width">
            <button @click="update()" >Update</button>
          </p>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
// import axios from "axios";

export default{
  name:'contact',
  created() {
    this.item= this.$store.state.item;
    console.log('state', this.item);
    // this.printValue('rangeSlider', 'rangeValue');

  },
  data (){
    return{
      title:'contact',
      item: null,
      city: [
        {id: 1, name: 'Delhi'},
        {id: 2, name: 'Chennai'},
        {id: 3, name: 'Indore'},
        {id: 4, name: 'Mumbai'},
        {id: 5, name: 'Bangalore'},
        {id: 6, name: 'Guwahati'},

      ],
      types: [
        {id: 1, name: 'Leasable Space'},
        {id: 2, name: 'Warehouse Service'},
      ],
      clusters: [
        {id: 1, name: 'cluster-a-32'},
        {id: 2, name: 'cluster-a-1'},
        {id: 3, name: 'cluster-a-21'},
        {id: 4, name: 'cluster-v-2'},
      ],

      baseURL: window.location.origin,
    }
  },

  methods:{

    update(){
      // console.log('update', this.item);
      this.$store.commit('setItem', this.item);
      // this.$store.commit('setItem', this.item);
      // console.log(this.$store.state.item);
     /* axios.post('http://localhost:8080/warehouses.json',(JSON.stringify(this.items)) )
          .then((response) => { console.log('res', response)  })
          .catch((error) => {
            throw error;
          });*/
      /*axios.post('http://localhost:3000/warehouses', {
        id: 6,
        first_name: 'Fred',
        last_name: 'Blair',
        email: 'freddyb34@gmail.com'
      }).then(resp => {
        console.log(resp);
      }).catch(error => {
        console.log(error);
      });*/
      /*this.$router.push({
        path: '/blog',
      });*/
      this.$router.push({path: '/warehousesTable'});
    }
  },
  computed:{
    /*item(){
      console.log('tem', this.$store.state.item);
     return this.$store.state.item
    }*/
  }
}
</script>
<style scoped>

@import url('https://fonts.googleapis.com/css?family=Roboto+Condensed:400,700');

body{
  background: url('http://all4desktop.com/data_images/original/4236532-background-images.jpg');
  font-family: 'Roboto Condensed', sans-serif;
  color: #262626;
  margin: 5% 0;
}
.container{
  width: 100%;
  padding-right: 15px;
  padding-left: 15px;
  margin-right: auto;
  margin-left: auto;
}
@media (min-width: 1200px)
{
  .container{
    max-width: 1140px;
  }
}
.d-flex{
  display: flex;
  flex-direction: row;
  background: #f6f6f6;
  border-radius: 0 0 5px 5px;
  padding: 25px;
}

.title{
  background: -webkit-gradient(linear, left top, right bottom, color-stop(0, #5195A8), color-stop(100, #70EAFF));
  background: -moz-linear-gradient(top left, #5195A8 0%, #70EAFF 100%);
  background: -ms-linear-gradient(top left, #5195A8 0%, #70EAFF 100%);
  background: -o-linear-gradient(top left, #5195A8 0%, #70EAFF 100%);
  background: linear-gradient(to bottom right, #5195A8 0%, #70EAFF 100%);
  border-radius:5px 5px 0 0 ;
  padding: 20px;
  color: #f6f6f6;
}
h2{
  margin: 0;
  padding-left: 15px;
}
.required{
  color: red;
}
label, table{
  display: block;
  margin: 15px;
}
label>span{
  float: left;
  width: 25%;
  margin-top: 12px;
  padding-right: 10px;
}


 /*form css*/
* {
  box-sizing: border-box;
}

body {
  padding: 1rem;
}

.contain {
  max-width: 1170px;
  margin-left: auto;
  margin-right: auto;
  padding: 1em;
}
@media (min-width: 600px) {
  .contain {
    padding: 0;
  }
}

h3,
ul {
  margin: 0;
}

h3 {
  margin-bottom: 1rem;
}

input:focus,
textarea:focus {
  outline: 3px solid gold;
}

input,
textarea
 {
  width: 100%;
  border: 1px solid #000;
}

.wrapper {
  box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.2);
}
.wrapper > * {
  padding: 1em;
}
@media (min-width: 700px) {
  .wrapper {
    display: grid;
    grid-template-columns: 1fr 2fr;
  }
  .wrapper > * {
    padding: 2em 2em;
  }
}

ul {
  list-style: none;
  padding: 0;
}

.contacts {
  background: #4b5195;
  color: #fff;
}

.form {
  background: #fff;
}

form {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-gap: 20px;
}
form label {
  display: block;
}
form p {
  margin: 0;
}

.full-width {
  grid-column: 1 / 3;
}


input,
textarea {
  padding: 1em;
}


button{
  width: 30%;
  margin-top: 10px;
  padding: 10px;
  border: none;
  /*border-radius: 30px;*/
  background: linear-gradient(to bottom right, #5195A8 0%, #70EAFF 100%);
  color: #fff;
  font-size: 15px;
  font-weight: bold;
}
button:hover{
  cursor: pointer;
  background: #428a7d;
}



.switch-field {
  display: flex;
  margin-bottom: 36px;

}

.switch-field input {
  position: absolute !important;
  clip: rect(0, 0, 0, 0);
  height: 1px;
  width: 1px;
  border: 0;
  overflow: hidden;
}

.switch-field label {
  background-color: #e4e4e4;
  color: rgba(0, 0, 0, 0.6);
  font-size: 14px;
  line-height: 1;
  text-align: center;
  padding: 8px 16px;
  margin-right: -1px;
  border: 1px solid rgba(0, 0, 0, 0.2);
  box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.3), 0 1px rgba(255, 255, 255, 0.1);
  transition: all 0.1s ease-in-out;
}

.switch-field label:hover {
  cursor: pointer;
}

.switch-field input:checked + label {
  background-color: #a5dc86;
  box-shadow: none;
}

.switch-field label:first-of-type {
  border-radius: 4px 0 0 4px;
}

.switch-field label:last-of-type {
  border-radius: 0 4px 4px 0;
}



.form {
 /* max-width: 600px;*/
  font-family: "Lucida Grande", Tahoma, Verdana, sans-serif;
  font-weight: normal;
  line-height: 1.625;
  margin: 8px auto;
  padding: 16px;
}

h2 {
  font-size: 18px;
  margin-bottom: 8px;
}
</style>